'From Squeak3.4gamma of ''7 January 2003'' [latest update: #5168] on 16 October 2006 at 4:35:25 pm'!
FloatArray variableWordSubclass: #B3DFloatArray
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Balloon3D-Vectors'!
!B3DFloatArray commentStamp: '<historical>' prior: 0!
I am the superclass for all Balloon 3D vector objects.!


!B3DFloatArray methodsFor: 'accessing' stamp: 'ar 2/2/2001 15:47'!
floatAt: index
	"For subclasses that override #at:"
	<primitive: 'primitiveAt' module: 'FloatArrayPlugin'>
	^Float fromIEEE32Bit: (self basicAt: index)! !

!B3DFloatArray methodsFor: 'accessing' stamp: 'ar 2/2/2001 15:47'!
floatAt: index put: value
	"For subclasses that override #at:put:"
	<primitive: 'primitiveAtPut' module: 'FloatArrayPlugin'>
	self basicAt: index put: value asIEEE32BitWord.
	^value! !

!B3DFloatArray methodsFor: 'accessing' stamp: 'ar 2/1/1999 21:23'!
numElements
	^self class numElements! !

!B3DFloatArray methodsFor: 'accessing' stamp: 'ar 2/15/1999 22:10'!
wordAt: index
	<primitive: 60>
	^self primitiveFailed! !

!B3DFloatArray methodsFor: 'accessing' stamp: 'ar 2/15/1999 22:10'!
wordAt: index put: value
	<primitive: 61>
	^self primitiveFailed! !


!B3DFloatArray methodsFor: 'initialize'!
loadFrom: srcObject
	self == srcObject ifTrue:[^self].
	self class == srcObject class
		ifTrue:[self replaceFrom: 1 to: self size with: srcObject startingAt: 1]
		ifFalse:[self privateLoadFrom: srcObject]! !


!B3DFloatArray methodsFor: 'private'!
privateLoadFrom: srcObject
	"Load the receiver from the given source object."
	self error:'Cannot load a ', srcObject class name,' into a ', self class name.! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

B3DFloatArray class
	instanceVariableNames: ''!

!B3DFloatArray class methodsFor: 'instance creation' stamp: 'ar 2/1/1999 21:20'!
new
	^super new: self numElements! !

!B3DFloatArray class methodsFor: 'instance creation' stamp: 'ar 2/1/1999 21:21'!
numElements
	^0! !
