'From Squeak3.4gamma of ''7 January 2003'' [latest update: #5169] on 22 February 2003 at 8:33:45 pm'!

!Form class methodsFor: 'fileIn/Out' stamp: 'jlb 2/22/2003 20:20'!
centerBackground: fullName
	| world image |
	image _ Form fromFileNamed: fullName.
	world _ self currentWorld.
	world backgroundSketch: ( SketchMorph withForm: image ).
	world centerBackground.! !

!Form class methodsFor: 'fileIn/Out' stamp: 'jlb 2/22/2003 20:16'!
openAsBackground: fullName
	"Set an image as a background image.  Support Squeak's common file format 
	(GIF, JPG, PNG, 'Form stoteOn: (run coded)' and BMP)"

	| aMenu |
	Smalltalk isMorphic ifTrue: [
		aMenu _ MenuMorph new defaultTarget: self.
		aMenu addTitle: 'Background Style'.
		aMenu add: 'tiled' selector: #tileBackground: argument: fullName .
		aMenu add: 'centered' selector: #centerBackground: argument: fullName .
		aMenu add: 'stretched' selector: #stretchBackground: argument: fullName.
		aMenu popUpInWorld.
		^ self.
	].
	(Form fromFileNamed: fullName) setAsBackground! !

!Form class methodsFor: 'fileIn/Out' stamp: 'jlb 2/22/2003 20:22'!
stretchBackground: fullName
	| world image |
	world _ self currentWorld.
	world color: Preferences desktopColor.
	image _ Form fromFileNamed: fullName.
	world
		backgroundSketch: (SketchMorph withForm: image).
	world stretchBackground! !

!Form class methodsFor: 'fileIn/Out' stamp: 'jlb 2/22/2003 20:18'!
tileBackground: fullName
	| world |
	world _ self currentWorld.
	world color: Preferences desktopColor.
	world backgroundSketch: nil.
	(Form fromFileNamed: fullName ) setAsBackground! !

