'From Squeak3.2alpha of 4 October 2001 [latest update: #4441] on 20 January 2002 at 1:59:47 pm'!

!PluggableTabButtonMorph methodsFor: 'updating' stamp: 'jlb 10/31/2001 00:32'!
update: aParameter 

	getLabelSelector ifNotNil: [
		aParameter == getLabelSelector ifTrue: [
			self label: (model perform: getLabelSelector)]].
	self getModelState
		ifTrue: [self state: #on]
		ifFalse: [self state: #off].

! !


!ScreenPreferencesPanel methodsFor: 'as yet unclassified' stamp: 'jlb 10/31/2001 00:52'!
appearanceMessagesIndicated
	currentPage == ( pages at: #appearancePage ifAbsent: [ ^ false ])! !

!ScreenPreferencesPanel methodsFor: 'as yet unclassified' stamp: 'jlb 10/31/2001 00:56'!
flapsMessagesIndicated
	^ currentPage == ( pages at: #flapsPage ifAbsent: [ ^ false ] ).! !

!ScreenPreferencesPanel methodsFor: 'as yet unclassified' stamp: 'jlb 10/31/2001 00:50'!
menuMessagesIndicated
	^ currentPage == ( pages at: #menuPage ifAbsent: [ ^ false ] )! !

!ScreenPreferencesPanel methodsFor: 'as yet unclassified' stamp: 'jlb 10/31/2001 00:51'!
scrollMessagesIndicated
	^ currentPage == ( pages at: #scrollbarPage ifAbsent: [ ^ false ])! !

!ScreenPreferencesPanel methodsFor: 'as yet unclassified' stamp: 'jlb 10/31/2001 00:56'!
settingsMessagesIndicated
		^ currentPage == ( pages at: #settingsPage ifAbsent: [ ^ false ] ).! !

!ScreenPreferencesPanel methodsFor: 'as yet unclassified' stamp: 'jlb 10/31/2001 00:49'!
windowMessageIndicated
	^ currentPage == ( pages at: #windowPage  ifAbsent: [ ^ false ] ).! !


!ScreenProperties class methodsFor: 'as yet unclassified' stamp: 'jlb 10/31/2001 00:55'!
buildTabPanel: aModel for: aPasteUpMorph 

	| panel appearanceSwitch settingsSwitch windowSwitch scrollbarSwitch flapsSwitch menuSwitch |
	panel _ InvisibleTabPanelMorph newInstance.
	panel image: ButtonTheme current tabPanelFormNoBorder.

	aModel pasteUpMorph: aPasteUpMorph.
	windowSwitch _ PluggableTabButtonMorph
		on: aModel
		getState: #windowMessageIndicated
		action: #selectWindowTab.
	windowSwitch
		label: 'Windows';
		askBeforeChanging: true;
		actWhen: #buttonUp.
	aModel buildWindowPage: aPasteUpMorph.


	menuSwitch _ PluggableTabButtonMorph
		on: aModel
		getState: #menuMessagesIndicated
		action: #selectMenuTab.
	menuSwitch
		label: 'Menus';
		askBeforeChanging: true;
		actWhen: #buttonUp.
	aModel buildMenuPage: aPasteUpMorph.

	scrollbarSwitch _ PluggableTabButtonMorph
		on: aModel
		getState: #scrollMessagesIndicated
		action: #selectScrollbarTab.
	scrollbarSwitch
		label: 'Scrollbars';
		askBeforeChanging: true;
		actWhen: #buttonUp.
	aModel buildScrollbarPage: aPasteUpMorph.

	appearanceSwitch _ PluggableTabButtonMorph
		on: aModel
		getState: #appearanceMessagesIndicated
		action: #selectAppearanceTab.
	appearanceSwitch
		label: 'Appearance';
		askBeforeChanging: true;
		actWhen: #buttonUp.
	aModel buildAppearancePage: aPasteUpMorph.

	settingsSwitch _ PluggableTabButtonMorph
		on: aModel
		getState: #settingsMessagesIndicated
		action: #selectSettingsTab.
	settingsSwitch
		label: 'Settings';
		askBeforeChanging: true;
		actWhen: #buttonUp.
	aModel buildSettingsPage: aPasteUpMorph.

	flapsSwitch _ PluggableTabButtonMorph
		on: aModel
		getState: #flapsMessagesIndicated
		action: #selectFlapsTab.
	flapsSwitch
		label: 'Flaps';
		askBeforeChanging: true;
		actWhen: #buttonUp.
	aModel buildFlapsPage: aPasteUpMorph.

"	appearanceSwitch _ PluggableTabButtonMorph
		on: aModel
		getState: #appearanceMessagesIndicated
		action: #selectAppearanceTab.
	appearanceSwitch
		label: 'Appearance';
		askBeforeChanging: true;
		actWhen: #buttonUp.
	aModel buildAppearancePage: aPasteUpMorph. "

	" add the tabs to the tab panel. "
	{windowSwitch. menuSwitch. scrollbarSwitch.  flapsSwitch. appearanceSwitch.  settingsSwitch "  commentSwitch. classSwitch "} do: [:m | 
		panel addMorphBack: m. ].

	aModel selectWindowTab.
	windowSwitch state: #on.

	^ panel
! !


!TabPanelMorph methodsFor: 'initialization' stamp: 'jlb 10/31/2001 00:02'!
initialize
	super initialize.
	pages _ Dictionary new.
	currentPage _ nil.
	self layoutPolicy: TableLayout new ;
		listDirection: #leftToRight ;
		wrapDirection: #none ;
		wrapCentering: #bottomRight.
	self setProperty: #wantsActivate toValue: true .
! !

