'From Squeak3.2gamma of 15 January 2002 [latest update: #4743] on 1 March 2002 at 7:53:25 pm'!
ThemeBase subclass: #ButtonTheme
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Zurgle-Themes'!

!ButtonTheme commentStamp: '<historical>' prior: 0!
I represent an accessor to the Button theme elements such as forms and layout!

AlignmentMorph subclass: #CheckBoxControlMorph
	instanceVariableNames: 'disabled '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Zurgle-Controls'!
EdgeImageMorph subclass: #GroupBoxMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Zurgle-Controls'!
TwoModeButtonMorph subclass: #CheckBoxMorph
	instanceVariableNames: 'value '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Zurgle-Controls'!

!CheckBoxMorph commentStamp: '<historical>' prior: 0!
I have five forms that make up my visual appeareance

#normal  			-- normal appearance
#selected  			-- value is true
#pressed  			-- what I look like pressed
#disabled  			-- value is false, button is disabled
#disabledSelected 	-- value is true, button is disabledMain !

TwoModeButtonMorph subclass: #FancyCheckBoxMorph
	instanceVariableNames: 'value '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Zurgle-Controls'!
TwoModeButtonMorph subclass: #OSButtonMorph
	instanceVariableNames: 'default '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Zurgle-Controls'!
CheckBoxMorph subclass: #RadioButtonMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Zurgle-Controls'!

!RadioButtonMorph commentStamp: '<historical>' prior: 0!
I have five forms that make up my visual appeareance

#normal  			-- normal appearance
#selected  			-- value is true
#pressed  			-- what I look like pressed
#disabled  			-- value is false, button is disabled
#disabledSelected 	-- value is true, button is disabled!

CheckBoxMorph subclass: #UpdatingCheckBoxMorph
	instanceVariableNames: 'getSelector '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Zurgle-Controls'!
FancyCheckBoxMorph subclass: #UpdatingFancyCheckBoxMorph
	instanceVariableNames: 'getSelector '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Zurgle-Controls'!
UpdatingCheckBoxMorph subclass: #UpdatingRadioButtonMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Zurgle-Controls'!

!ButtonTheme methodsFor: 'accessors' stamp: 'jlb 9/12/2001 20:24'!
buttonEdges
	^ lookDictionary at: #buttonEdges ifAbsent: [ ^ nil ].! !

!ButtonTheme methodsFor: 'accessors' stamp: 'jlb 9/12/2001 20:25'!
buttonForm
	^ lookDictionary at: #buttonForm ifAbsent: [ ^ nil ].! !

!ButtonTheme methodsFor: 'accessors' stamp: 'jlb 9/12/2001 20:59'!
checkBoxEdges
	^ lookDictionary at: #checkBoxEdges ifAbsent: [ ^ nil ].! !

!ButtonTheme methodsFor: 'accessors' stamp: 'jlb 9/12/2001 20:25'!
checkBoxForm
	^ lookDictionary at: #checkBoxForm ifAbsent: [ ^ nil ].! !

!ButtonTheme methodsFor: 'accessors' stamp: 'jlb 10/8/2001 15:53'!
disabledTextColor
	^ lookDictionary at: #disabledTextColor ifAbsent: [ ^ Color gray ].! !

!ButtonTheme methodsFor: 'accessors' stamp: 'jlb 10/8/2001 15:53'!
enabledTextColor
	^ lookDictionary at: #enabledTextColor ifAbsent: [ ^ Color black ].! !

!ButtonTheme methodsFor: 'accessors' stamp: 'jlb 10/8/2001 21:19'!
fancyCheckBoxForm
	^ lookDictionary at: #fancyCheckBoxForm ifAbsent: [ ^ nil ].! !

!ButtonTheme methodsFor: 'accessors' stamp: 'jlb 10/10/2001 13:50'!
groupBoxEdges
	^ lookDictionary at: #groupBoxEdges ifAbsent: [ ^ nil ].! !

!ButtonTheme methodsFor: 'accessors' stamp: 'jlb 10/10/2001 13:50'!
groupBoxForm
	^ lookDictionary at: #groupBoxForm ifAbsent: [ ^ nil ].! !

!ButtonTheme methodsFor: 'accessors' stamp: 'jlb 9/12/2001 20:59'!
radioButtonEdges
	^ lookDictionary at: #radioButtonEdges ifAbsent: [ ^ nil ].! !

!ButtonTheme methodsFor: 'accessors' stamp: 'jlb 9/12/2001 20:25'!
radioButtonForm
	^ lookDictionary at: #radioButtonForm ifAbsent: [ ^ nil ].! !

!ButtonTheme methodsFor: 'accessors' stamp: 'jlb 10/7/2001 21:56'!
systemFont
	^ lookDictionary at: #systemFont ifAbsent: [ ^ (StrikeFont familyName: 'NewYork' size: 12) ].! !


!CheckBoxControlMorph methodsFor: 'activate / passivate' stamp: 'jlb 10/10/2001 01:17'!
activate
	super activate.
	disabled ifFalse: [	
	( self submorphNamed: #label ) color: ( ButtonTheme current enabledTextColor ). ]! !

!CheckBoxControlMorph methodsFor: 'activate / passivate' stamp: 'jlb 10/8/2001 15:54'!
passivate
	super passivate.
	( self submorphNamed: #label ) color: ( ButtonTheme current disabledTextColor ).! !

!CheckBoxControlMorph methodsFor: 'as yet unclassified' stamp: 'jlb 10/8/2001 10:15'!
actionSelector: anActionSelector
	self checkBox actionSelector: anActionSelector! !

!CheckBoxControlMorph methodsFor: 'as yet unclassified' stamp: 'jlb 10/9/2001 23:47'!
arguments: anArgumentArray
	self checkBox arguments: anArgumentArray! !

!CheckBoxControlMorph methodsFor: 'as yet unclassified' stamp: 'jlb 10/8/2001 10:14'!
checkBox
	^ 	(self submorphNamed: #checkBox)
	
	! !

!CheckBoxControlMorph methodsFor: 'as yet unclassified' stamp: 'jlb 10/7/2001 21:14'!
dummy! !

!CheckBoxControlMorph methodsFor: 'as yet unclassified' stamp: 'jlb 10/8/2001 10:15'!
getSelector: aGetSelector
	self checkBox getSelector: aGetSelector! !

!CheckBoxControlMorph methodsFor: 'as yet unclassified' stamp: 'jlb 10/8/2001 10:18'!
makeUpdateable
	" remove the old check box "
	| aButton |
	(self submorphNamed: #checkBox)
		ifNotNilDo: [:checkBox | checkBox delete].
	" add an updateable check box "
	self addMorph: (aButton _ UpdatingThreePhaseButtonMorph checkBox).
	aButton name: #checkBox.
	
	! !

!CheckBoxControlMorph methodsFor: 'as yet unclassified' stamp: 'jlb 10/8/2001 10:14'!
target: aTarget
	self checkBox target: aTarget! !

!CheckBoxControlMorph methodsFor: 'initialization' stamp: 'jlb 10/10/2001 08:17'!
addDependent: anObject
	self checkBox addDependent: anObject.! !

!CheckBoxControlMorph methodsFor: 'initialization' stamp: 'jlb 10/10/2001 01:17'!
initialize
	| aButton |
	super initialize.
	disabled _ false.
	self listDirection: #leftToRight;
		 hResizing: #spaceFill;
		 vResizing: #spaceFill;
		 extent: 1 @ 1;
		 borderWidth: 0;
		 height: 24 ;
		color: Color transparent. 

	self addMorph: (aButton _ ThreePhaseButtonMorph checkBox).
	aButton name: #checkBox .
	self on: #mouseEnter send: #mouseEnterEvent:for: to: self.
	" self on: #mouseUp send: #mouseUpEvent: to: self. "
	self addTransparentSpacerOfSize: (4 @ 0).
	self label: 'Untitled'.
! !

!CheckBoxControlMorph methodsFor: 'label' stamp: 'jlb 10/8/2001 13:04'!
label: aString 
	" reset the label; nil means use the standard fonts "
	self label: aString font: nil.
! !

!CheckBoxControlMorph methodsFor: 'label' stamp: 'jlb 10/11/2001 23:37'!
label: aString font: aFontOrNil 
	" Get rid of the old label "

	| label font theme |
	(self submorphNamed: #label) ifNotNilDo: [:oldLabel | oldLabel delete].
	" figure out the correct font "
	font _ aFontOrNil.
	font ifNil: 
			[theme := ButtonTheme current.
			font := theme ifNil: [StrikeFont familyName: 'NewYork' size: 12]
						ifNotNil: [theme systemFont]].
	" create the label string "
	label := StringMorph contents: aString font: font.
	label name: #label.
	"	label
		layoutFrame: (LayoutFrame
				fractions: (0.5 @ 0.5 corner: 0.5 @ 0.5)
				offsets: (0 @ 0 corner: 0 @ 0)). "
	self addMorphBack: label.
	label lock! !

!CheckBoxControlMorph methodsFor: 'accessing' stamp: 'jlb 10/10/2001 01:17'!
disabled
	^ disabled! !

!CheckBoxControlMorph methodsFor: 'accessing' stamp: 'jlb 10/10/2001 01:18'!
disabled: aBoolean
	disabled _ aBoolean.
	self checkBox disabled: aBoolean.
	disabled ifTrue: [ self passivate ]
			ifFalse: [ self activate ].
! !

!CheckBoxControlMorph methodsFor: 'event handling' stamp: 'jlb 10/9/2001 13:42'!
mouseDown: event
	super mouseDown: event.
	self checkBox mouseDown: event.
	! !

!CheckBoxControlMorph methodsFor: 'event handling' stamp: 'jlb 10/8/2001 21:49'!
mouseEnterEvent: evt for: aMorph 
	self checkBox mouseEnter: evt.
! !

!CheckBoxControlMorph methodsFor: 'event handling' stamp: 'jlb 10/8/2001 21:49'!
mouseLeave: event
	super mouseLeave: event.
	self checkBox mouseLeave: event.
	! !

!CheckBoxControlMorph methodsFor: 'event handling' stamp: 'jlb 10/10/2001 19:36'!
mouseUpEvent: event
	
	
	| checkBox |

	(self containsPoint: event cursorPoint)
		ifTrue: [ 
			checkBox _ self checkBox.
			checkBox value: ( checkBox value not ).
			 ]. 
	! !


!GroupBoxMorph methodsFor: 'initialization' stamp: 'jlb 10/10/2001 13:59'!
initialize

	super initialize.
	self layoutPolicy: TableLayout new.
	self listDirection: #leftToRight.
	self wrapCentering: #topLeft.
	self hResizing: #spaceFill.
	self vResizing: #spaceFill.
	self layoutInset: 2.
	color _ Color r: 0.8 g: 1.0 b: 0.8.
	self rubberBandCells: true. "default"
	self setProperty: #wantsActivate toValue: true .
! !

!GroupBoxMorph methodsFor: 'activate / passivate' stamp: 'jlb 10/10/2001 14:03'!
activate
	" This is used for alignment morphs in SystemWindows ;
	  propogates activate message to submorphs which may be controls "
	self
		submorphsDo: [:m | (m hasProperty: #wantsActivate)
				ifTrue: [m activate]]! !

!GroupBoxMorph methodsFor: 'activate / passivate' stamp: 'jlb 10/10/2001 14:03'!
passivate
	self
		submorphsDo: [:m | (m hasProperty: #wantsActivate)
				ifTrue: [m passivate]]! !


!GroupBoxMorph class methodsFor: 'as yet unclassified' stamp: 'jlb 10/10/2001 13:51'!
newInstance
	| toReturn |
	toReturn _ self new.
	toReturn image:  (ButtonTheme current groupBoxForm).
	toReturn setEdges: ( ButtonTheme current groupBoxEdges ).
	^ toReturn.! !


!PreferencesPanel methodsFor: 'halo pane' stamp: 'jlb 9/15/2001 20:33'!
addHaloControlsTo: controlPage
	"Add special controls relating to halo schemes to the page"

	| aButton |
	controlPage addTransparentSpacerOfSize: (0 @ 4).
	controlPage addMorphBack: self haloThemeRadioButtons.
	controlPage addTransparentSpacerOfSize: (0 @ 4).
"
	aButton _ SimpleButtonMorph new target: Preferences; color: Color transparent; actionSelector: #editCustomHalos; label: 'Edit custom halos'.
"
	aButton _ OSButtonMorph newInstance 
		target: Preferences; color: Color transparent; actionSelector: #editCustomHalos; label: 'Edit custom halos'.
	controlPage addMorphBack: aButton.
	aButton setBalloonText: 'Click here to edit the method that defines the custom halos'.
			! !

!PreferencesPanel methodsFor: 'find' stamp: 'jlb 9/15/2001 20:37'!
addHelpItemsTo: panelPage
	"Add the items appropriate the the ? page of the receiver"

	| aButton aTextMorph aMorph firstTextMorph |
	panelPage hResizing: #shrinkWrap; vResizing: #shrinkWrap.
	firstTextMorph _  TextMorph new contents: 'Search Preferences for:'.
	firstTextMorph beAllFont: ((TextStyle default fontOfSize: 13) emphasized: 1).
	panelPage addMorphBack: firstTextMorph lock.
	panelPage addTransparentSpacerOfSize: 0@10.

	aMorph _ RectangleMorph new clipSubmorphs: true; beTransparent; borderWidth: 2; borderColor: Color black; extent: 250 @ 36.
	aMorph vResizing: #rigid; hResizing: #rigid.
	aTextMorph _  PluggableTextMorph new
				on: self
				text: #searchString
				accept: #setSearchStringTo:
				readSelection: nil
				menu: nil.
"	aTextMorph hResizing: #rigid."
	aTextMorph borderWidth: 0.
	aTextMorph font: ((TextStyle default fontOfSize: 21) emphasized: 1); setTextColor: Color red.
	aMorph addMorphBack: aTextMorph.
	aTextMorph acceptOnCR: true.
	aTextMorph position: (aTextMorph position + (6@5)).
	aMorph clipLayoutCells: true.
	aTextMorph extent: 240 @ 25.
	panelPage addMorphBack: aMorph.
	aTextMorph setBalloonText: 'Type what you want to search for here, then hit the "Search" button, or else hit RETURN or ENTER'.
	aTextMorph setTextMorphToSelectAllOnMouseEnter.
	aTextMorph hideScrollBarIndefinitely.
	panelPage addTransparentSpacerOfSize: 0@10.

	aButton _ OSButtonMorph newInstance target: self; color: Color transparent; actionSelector: #initiateSearch:; arguments: {aTextMorph}; label: 'Search'.
	aButton makeDefault.
	panelPage addMorphBack: aButton.
	aButton setBalloonText: 'Type what you want to search for in the box above, then click here (or hit RETURN or ENTER) to start the search; results will appear in the "search results" category.'.

	panelPage addTransparentSpacerOfSize: 0@40.
	panelPage addMorphBack: (OSButtonMorph newInstance color: Color transparent; label: 'Restore all Default Preference Settings'; target: Preferences; actionSelector: #chooseInitialSettings; setBalloonText: 'Click here to reset all the preferences to their standard default values.'; yourself).

	panelPage addTransparentSpacerOfSize: 0@14.
	panelPage addMorphBack: (OSButtonMorph newInstance color: Color transparent; label: 
'Save Current Settings as my Personal Preferences'; 
		target: Preferences; actionSelector: #savePersonalPreferences; setBalloonText: 'Click here to save the current constellation of Preferences settings as your personal defaults; you can get them all reinstalled with a single gesture by clicking the "Restore my Personal Preferences".'; yourself).

	panelPage addTransparentSpacerOfSize: 0@14.
	panelPage addMorphBack: (OSButtonMorph newInstance color: Color transparent; label: 'Restore my Personal Preferences'; target: Preferences; actionSelector: #restorePersonalPreferences; setBalloonText: 'Click here to reset all the preferences to their values in your Personal Preferences.'; yourself).

	panelPage addTransparentSpacerOfSize: 0@30.

	panelPage addMorphBack: (OSButtonMorph newInstance color: Color transparent; label: 'Inspect Parameters'; target: Preferences; actionSelector: #inspectParameters; setBalloonText: 'Click here to view all the values stored in the system Parameters dictionary'; yourself).

	panelPage addTransparentSpacerOfSize: 0@10.

	panelPage addMorphBack: (OSButtonMorph newInstance color: Color transparent; label: 'Help!!'; target: Preferences; actionSelector: #giveHelpWithPreferences; setBalloonText: 'Click here to get some hints on use of this Preferences Panel'; yourself).
	panelPage wrapCentering: #center.
! !


!ThreePhaseButtonMorph class methodsFor: 'instance creation' stamp: 'jlb 10/8/2001 21:24'!
checkBox
	"Answer a button pre-initialized with checkbox images."
	| f |
true ifTrue: [ ^ FancyCheckBoxMorph newInstance ].
	^self new
		onImage: (f _ ScriptingSystem formAtKey: 'CheckBoxOn');
		pressedImage: (ScriptingSystem formAtKey: 'CheckBoxPressed');
		offImage: (ScriptingSystem formAtKey: 'CheckBoxOff');
		extent: f extent + (2@0);
		yourself
! !

!ThreePhaseButtonMorph class methodsFor: 'instance creation' stamp: 'jlb 9/12/2001 09:49'!
radioButton
	"Answer a button pre-initialized with radiobutton images."
	| f |
	^self new
		onImage: (f _ ScriptingSystem formAtKey: 'RadioButtonOn');
		pressedImage: (ScriptingSystem formAtKey: 'RadioButtonPressed');
		offImage: (ScriptingSystem formAtKey: 'RadioButtonOff');
		extent: f extent + (2@0);
		yourself
! !


!TwoModeButtonMorph methodsFor: 'initialization' stamp: 'jlb 10/7/2001 09:59'!
from4Images: buttonImages 
	" bogus ; makes 4 images appear as 6 in TwoModeButtonMorph "
	
	| bogus |
	self fromImages: buttonImages symbols: #( #off #pressed #offPassive #disabled ).
	" now finish filling out "
	bogus _ forms at: #disabled.
	forms at: #pressedPassive put: bogus.
	forms at: #disabledPassive put: bogus.
	self state: #off.
! !


!CheckBoxMorph methodsFor: 'accessing' stamp: 'jlb 9/11/2001 21:27'!
value
	^ value! !

!CheckBoxMorph methodsFor: 'accessing' stamp: 'jlb 9/11/2001 21:27'!
value: aBoolean
	value _ aBoolean.
	self state: ( self state ).! !

!CheckBoxMorph methodsFor: 'events-processing' stamp: 'jlb 9/11/2001 21:20'!
mouseUp: event
	(self containsPoint: event cursorPoint)
		ifTrue: [ value _ value not ].
	super mouseUp: event.! !

!CheckBoxMorph methodsFor: 'events-processing' stamp: 'jlb 10/8/2001 15:42'!
state: aStateSymbol 
	"Change the image and invalidate the rect."
	| symbol |
	state _ aStateSymbol.
	symbol _ #normal.
	(disabled or: [ active not ])
		ifTrue: [
					symbol _ value
						ifTrue: [#disabledSelected]
						ifFalse: [#disabled]]
		ifFalse: [state == #pressed
				ifTrue: [symbol _ #pressed].
			state == #off
				ifTrue: [symbol _ value
								ifTrue: [#selected]
								ifFalse: [#normal]].
			state == #on
				ifTrue: [value _ true.
					symbol _ #selected]].
	self
		image: (forms at: symbol)! !

!CheckBoxMorph methodsFor: 'initialization' stamp: 'jlb 9/24/2001 13:25'!
fromImages: buttonImages 

	self fromImages: buttonImages symbols: #( #normal #selected #pressed #disabled #disabledSelected ).
	self state: #off.! !

!CheckBoxMorph methodsFor: 'initialization' stamp: 'jlb 9/24/2001 13:26'!
initialize
	super initialize.
	value _ false.
! !


!CheckBoxMorph class methodsFor: 'instance creation' stamp: 'jlb 9/24/2001 13:24'!
newInstance
	| toReturn |
	toReturn _ self new.
	toReturn fromImages:  (ButtonTheme current checkBoxForm).
	toReturn setEdges: ( ButtonTheme current checkBoxEdges ).
	^ toReturn.! !


!FancyCheckBoxMorph methodsFor: 'as yet unclassified' stamp: 'jlb 10/9/2001 13:54'!
mouseUp: event
	super mouseUp: event.
	(self containsPoint: event cursorPoint)
		ifTrue: [ value _ value not.
			self state: #mouseOver ]. 
! !

!FancyCheckBoxMorph methodsFor: 'as yet unclassified' stamp: 'jlb 10/8/2001 20:47'!
value
	^ value! !

!FancyCheckBoxMorph methodsFor: 'as yet unclassified' stamp: 'jlb 10/8/2001 20:47'!
value: aBoolean
	value _ aBoolean.
	self state: ( self state ).! !

!FancyCheckBoxMorph methodsFor: 'initialization' stamp: 'jlb 10/8/2001 20:50'!
fromImages: buttonImages 
	self fromImages: buttonImages symbols: 
		#(#uncheckedNormal #uncheckedMouseOver #uncheckedPressed #uncheckedDisabled 		           #checkedNormal  #checkedMouseOver #checkedPressed #checkedDisabled
		  #mixedNormal  #mixedMouseOver #mixedPressed #mixedDisabled).
	self state: #off! !

!FancyCheckBoxMorph methodsFor: 'initialization' stamp: 'jlb 10/8/2001 21:54'!
initialize
	super initialize.
	value _ false.
	self on: #mouseEnter send: #mouseEnterEvent:for: to: self.
! !

!FancyCheckBoxMorph methodsFor: 'initialization' stamp: 'jlb 10/8/2001 23:48'!
state: aStateSymbol 
	"Change the image and invalidate the rect."
	| symbol prefix |
	state _ aStateSymbol.
	symbol _ #Normal.
	state == #on
		ifTrue: [value _ true].
	prefix _ value
				ifTrue: [#checked]
				ifFalse: [#unchecked].
	symbol _ (disabled
					or: [active not])
				ifTrue: [#Disabled]
				ifFalse: [state caseOf: {
						[#off] -> [#Normal].
						[#pressed] -> [#Pressed].
						[#mouseOver] -> [#MouseOver].
						[#on] -> [#Normal]}].
	symbol _ (prefix , symbol) asSymbol.
	self
		image: (forms at: symbol)! !

!FancyCheckBoxMorph methodsFor: 'event handling' stamp: 'jlb 10/8/2001 21:43'!
mouseEnterEvent: event for: aMorph
	self state: #mouseOver.
	! !

!FancyCheckBoxMorph methodsFor: 'event handling' stamp: 'jlb 10/8/2001 21:16'!
mouseLeave: evt 
	super mouseLeave: evt.
	self state: #off
! !


!FancyCheckBoxMorph class methodsFor: 'as yet unclassified' stamp: 'jlb 10/8/2001 23:43'!
newInstance
	| toReturn |
	toReturn _ self new.
	toReturn fromImages:  (ButtonTheme current fancyCheckBoxForm).
	toReturn setEdges: ( ButtonTheme current checkBoxEdges ).
	^ toReturn.! !


!OSButtonMorph methodsFor: 'accessing' stamp: 'jlb 9/24/2001 13:23'!
fromImages: buttonImages 

	self fromImages: buttonImages symbols: #( #normal #pressed #disabled #focus #default ).
	self state: #off.
! !

!OSButtonMorph methodsFor: 'accessing' stamp: 'jlb 10/12/2001 00:49'!
state: aSymbol 
	"Change the image and invalidate the rect."
	| symbol |
	state _ aSymbol.
	symbol _ (disabled
					or: [active not])
				ifTrue: [#disabled]
				ifFalse: [state == #off
						ifTrue: [default
								ifTrue: [#default]
								ifFalse: [#normal]]
						ifFalse: [state]].
	self
		image: (forms at: symbol)! !

!OSButtonMorph methodsFor: 'initialization' stamp: 'jlb 10/7/2001 23:51'!
initialize
	super initialize.
	default _ false.
	self layoutPolicy: ProportionalLayout new.
	self clipLayoutCells.
	self extent: ( 70 @ 24 ).
	self minimumExtent: 24@20.
	self on: #mouseEnter send: #mouseEnterEvent:for: to: self.
	self clipSubmorphs: true.
! !

!OSButtonMorph methodsFor: 'event handling' stamp: 'jlb 10/3/2001 14:39'!
mouseEnterEvent: evt for: aMorph 
	self state: #focus.
! !

!OSButtonMorph methodsFor: 'event handling' stamp: 'jlb 10/3/2001 14:32'!
mouseLeave: evt 
	super mouseLeave: evt.
	self state: #off
! !

!OSButtonMorph methodsFor: 'label' stamp: 'jlb 10/7/2001 23:59'!
label
	" return the contents of the label StringMorph "
	(self submorphNamed: #label)
		ifNotNilDo: [:m | ^ m contents]! !

!OSButtonMorph methodsFor: 'label' stamp: 'jlb 10/7/2001 23:56'!
label: aString 
	" reset the label; nil means use the standard fonts "
	self label: aString font: nil.
! !

!OSButtonMorph methodsFor: 'label' stamp: 'jlb 10/11/2001 23:36'!
label: aString font: aFontOrNil 
	" Get rid of the old label "

	| label font theme |
	(self submorphNamed: #label) ifNotNilDo: [:oldLabel | oldLabel delete].
	" figure out the correct font "
	font _ aFontOrNil.
	font ifNil: 
			[theme := ButtonTheme current.
			font := theme ifNil: [Preferences standardButtonFont]
						ifNotNil: [theme systemFont]].
	" create the label string "
	label := StringMorph contents: aString font: font.
	label name: #label.
	label layoutFrame: (LayoutFrame fractions: (0.5 @ 0.5 corner: 0.5 @ 0.5)
				offsets: (0 @ 0 corner: 0 @ 0)).
	self addMorph: label.
	label lock.
	self extent: self nominalExtent! !

!OSButtonMorph methodsFor: 'label' stamp: 'jlb 10/8/2001 00:02'!
setLabel
	| newLabel |
	newLabel _ FillInTheBlank request: 'Enter a new label for this button' initialAnswer: self label.
	newLabel isEmpty
		ifFalse: [self label: newLabel font: nil]! !

!OSButtonMorph methodsFor: 'activate / passivate' stamp: 'jlb 10/8/2001 15:58'!
activate
	super activate.	
	( self submorphNamed: #label ) color: ( ButtonTheme current enabledTextColor ).! !

!OSButtonMorph methodsFor: 'activate / passivate' stamp: 'jlb 10/8/2001 15:58'!
passivate
	super passivate.
	( self submorphNamed: #label ) color: ( ButtonTheme current disabledTextColor ).! !

!OSButtonMorph methodsFor: 'button style' stamp: 'jlb 10/3/2001 14:20'!
makeDefault
	default _ true.
	self state: ( self state).! !

!OSButtonMorph methodsFor: 'button style' stamp: 'jlb 10/3/2001 14:20'!
makeFocus
	default _ false.
	self state: ( self state).! !

!OSButtonMorph methodsFor: 'button style' stamp: 'jlb 10/3/2001 14:20'!
makeNormal
	default _ false.
	self state: ( self state).! !

!OSButtonMorph methodsFor: 'button style' stamp: 'jlb 10/8/2001 00:05'!
nominalExtent
	| labelString |
	labelString _ self submorphNamed: #label.
	labelString
		ifNil: [^ 28 @ 24].
	^ labelString width + 16 @ 24! !


!OSButtonMorph class methodsFor: 'instance instantiation' stamp: 'jlb 9/24/2001 13:24'!
newInstance
	| toReturn |
	toReturn _ self new.
	toReturn fromImages:  (ButtonTheme current buttonForm).
	toReturn setEdges: ( ButtonTheme current buttonEdges ).
	^ toReturn.! !


!RadioButtonMorph class methodsFor: 'instance creation' stamp: 'jlb 9/24/2001 13:24'!
newInstance
	| toReturn |
	toReturn _ self new.
	toReturn fromImages:  (ButtonTheme current radioButtonForm).
	toReturn setEdges: ( ButtonTheme current radioButtonEdges ).
	^ toReturn.! !


!UpdatingCheckBoxMorph methodsFor: 'as yet unclassified' stamp: 'jlb 9/11/2001 21:34'!
doButtonAction
	"Since the action likely changes our state, do a step so we're updated immediately"
	super doButtonAction.
	self step
! !

!UpdatingCheckBoxMorph methodsFor: 'as yet unclassified' stamp: 'jlb 9/11/2001 21:34'!
getSelector: sel
	getSelector _ sel! !

!UpdatingCheckBoxMorph methodsFor: 'as yet unclassified' stamp: 'jlb 9/11/2001 21:34'!
mouseUp: evt
	"Since mouseUp likely changes our state, do a step so we're updated immediately"
	super mouseUp: evt.
	self step! !

!UpdatingCheckBoxMorph methodsFor: 'as yet unclassified' stamp: 'jlb 9/13/2001 10:47'!
step
	| newBoolean |
	super step.
	state == #pressed ifTrue: [^self].
	newBoolean := target perform: getSelector.
	newBoolean == self isOn 
		ifFalse: [self state: (newBoolean ifTrue: [#on] ifFalse: [#off])]! !

!UpdatingCheckBoxMorph methodsFor: 'as yet unclassified' stamp: 'jlb 9/11/2001 21:34'!
wantsSteps
	^ true! !


!UpdatingFancyCheckBoxMorph methodsFor: 'as yet unclassified' stamp: 'jlb 10/8/2001 21:37'!
doButtonAction
	"Since the action likely changes our state, do a step so we're updated immediately"
	super doButtonAction.
	self step
! !

!UpdatingFancyCheckBoxMorph methodsFor: 'as yet unclassified' stamp: 'jlb 10/8/2001 21:38'!
getSelector: sel
	getSelector _ sel! !

!UpdatingFancyCheckBoxMorph methodsFor: 'as yet unclassified' stamp: 'jlb 10/10/2001 13:07'!
mouseUp: event
	super mouseUp: event.
	(self containsPoint: event cursorPoint)
		ifTrue: [ 
			self changed: #value.
			 ]. 
!
]style[(14 102 1 8)f2b,f2,f2cred;,f2! !

!UpdatingFancyCheckBoxMorph methodsFor: 'as yet unclassified' stamp: 'jlb 10/10/2001 08:29'!
setValue: aBoolean 
	value == aBoolean
		ifFalse: [self changed: #value.
			value _ aBoolean]! !

!UpdatingFancyCheckBoxMorph methodsFor: 'as yet unclassified' stamp: 'jlb 10/10/2001 08:01'!
state: aStateSymbol 
	"Change the image and invalidate the rect."
	| symbol prefix |
	state _ aStateSymbol.
	symbol _ #Normal.
	state == #on
		ifTrue: [self setValue: true.].
	prefix _ value
				ifTrue: [#checked]
				ifFalse: [#unchecked].
	symbol _ (disabled
					or: [active not])
				ifTrue: [#Disabled]
				ifFalse: [state caseOf: {
						[#off] -> [#Normal].
						[#pressed] -> [#Pressed].
						[#mouseOver] -> [#MouseOver].
						[#on] -> [#Normal]}].
	symbol _ (prefix , symbol) asSymbol.
	self
		image: (forms at: symbol)! !

!UpdatingFancyCheckBoxMorph methodsFor: 'as yet unclassified' stamp: 'jlb 10/10/2001 11:35'!
step
	| newBoolean |
	super step.
	state == #pressed
		ifTrue: [^ self].
	newBoolean _ target perform: getSelector.
	newBoolean = value
		ifFalse: [self value: newBoolean]! !

!UpdatingFancyCheckBoxMorph methodsFor: 'as yet unclassified' stamp: 'jlb 10/10/2001 08:00'!
value: aBoolean 
	self setValue: aBoolean.
	self state: self state! !

!UpdatingFancyCheckBoxMorph methodsFor: 'as yet unclassified' stamp: 'jlb 10/8/2001 21:38'!
wantsSteps
	^ true! !


!UpdatingRadioButtonMorph class methodsFor: 'as yet unclassified' stamp: 'jlb 9/24/2001 13:24'!
newInstance
	| toReturn |
	toReturn _ self new.
	toReturn fromImages:  (ButtonTheme current radioButtonForm).
	toReturn setEdges: ( ButtonTheme current radioButtonEdges ).
	^ toReturn.! !


!UpdatingThreePhaseButtonMorph class methodsFor: 'as yet unclassified' stamp: 'jlb 10/10/2001 10:48'!
checkBox
	^ UpdatingFancyCheckBoxMorph newInstance.! !

!UpdatingThreePhaseButtonMorph class methodsFor: 'as yet unclassified' stamp: 'jlb 9/12/2001 21:03'!
radioButton
	^ UpdatingRadioButtonMorph newInstance.! !


!RadioButtonMorph class reorganize!
('instance creation' newInstance)
!


!OSButtonMorph reorganize!
('accessing' fromImages: state:)
('initialization' initialize)
('event handling' mouseEnterEvent:for: mouseLeave:)
('label' label label: label:font: setLabel)
('activate / passivate' activate passivate)
('button style' makeDefault makeFocus makeNormal nominalExtent)
!


!CheckBoxMorph class reorganize!
('instance creation' newInstance)
!


!ButtonTheme reorganize!
('accessors' buttonEdges buttonForm checkBoxEdges checkBoxForm comboBoxEdges comboBoxForm comboButtonEdges comboButtonForm comboButtonGlyphsForm disabledTextColor enabledTextColor fancyCheckBoxForm groupBoxEdges groupBoxForm radioButtonEdges radioButtonForm systemFont tabEdges tabForm tabPanelEdges tabPanelForm tabPanelFormNoBorder tabPanelLayoutInset)
!

