" build the Luna skinned Squeak - Building towards 1.0 release"
| file | 
" Read preferences "
file _ FileStream fileNamed: 'Zurgle.pref'.
file fileIn. " file _ FileStream fileNamed: 'MenuFixes.1.cs'.
ChangeSorter newChangesFromStream: file named: (file localName).  " 

"Remember window sizes "
" file _ FileStream fileNamed: 'Remember.2.cs'.
ChangeSorter newChangesFromStream: file named: (file localName). " 

"Read Windoze host fonts; grab from the Squeak archive if needed "
" file _ FileStream fileNamed: 'FontPlugin.2.cs'.
ChangeSorter newChangesFromStream: file named: (file localName). "

" read in Tahoma and Verana fonts "
file _ FileStream fileNamed: 'LunaFonts.1.cs'.
ChangeSorter newChangesFromStream: file named: (file localName).
 "Refactor the windows "
file _ FileStream fileNamed: 'WindowsFrameRefactor.5.cs'.
ChangeSorter newChangesFromStream: file named: (file localName).

" Allow for a little background noise"
file _ FileStream fileNamed: 'BackgroundTweaks.2.cs'.
ChangeSorter newChangesFromStream: file named: (file localName).

" Read in the magic edge-image"
file _ FileStream fileNamed: 'EdgeImage.1.cs'.
ChangeSorter newChangesFromStream: file named: (file localName).

" The mode button stuff "
file _ FileStream fileNamed: 'ModeButton.1.cs'.
ChangeSorter newChangesFromStream: file named: (file localName).
 " Ready for window frames "
file _ FileStream fileNamed: 'Theme.1.cs'.
ChangeSorter newChangesFromStream: file named: (file localName).

" Read in the Luna small skin "
file _ FileStream fileNamed: 'LunaSmall.Theme'.
file fileIn.
" Read in the Borg skin "
file _ FileStream fileNamed: 'Borg.Theme'.
file fileIn.
" Read in the Luna skin "
file _ FileStream fileNamed: 'LunaII.Theme'.
file fileIn.

" Scrollbars "
file _ FileStream fileNamed: 'Theme-Scrollbars.1.cs'.
ChangeSorter newChangesFromStream: file named: (file localName).
" Read in the Luna skin "
file _ FileStream fileNamed: 'LunaScrollBar.Theme'.
file fileIn.

" Buttons, Buttons who has the button? "
file _ FileStream fileNamed: 'Theme-Buttons.1.cs'.
ChangeSorter newChangesFromStream: file named: (file localName).
" Our friends, the tabs"
file _ FileStream fileNamed: 'Theme-Tab Buttons.1.cs'.
ChangeSorter newChangesFromStream: file named: (file localName).
" Read in the Luna skin for our controls "
file _ FileStream fileNamed: 'LunaButton.Theme'.
file fileIn.

" Menus, menus everywhere"
file _ FileStream fileNamed: 'Theme-Menubar.1.cs'.
ChangeSorter newChangesFromStream: file named: (file localName).
" And put some skin on 'em "
file _ FileStream fileNamed: 'LunaMenu.Theme'.
file fileIn.

" Fancy window titles "
file _ FileStream fileNamed: 'WindowTitle.2.cs'.
ChangeSorter newChangesFromStream: file named: (file localName). 
file _ FileStream fileNamed: 'Theme-Lists.1.cs'.
ChangeSorter newChangesFromStream: file named: (file localName).
" And put some skin on 'em "
file _ FileStream fileNamed: 'LunaList.Theme'.
file fileIn. 
file _ FileStream fileNamed: 'Screen Properties.2.cs'.
ChangeSorter newChangesFromStream: file named: (file localName).

file _ FileStream fileNamed: 'Theme-ComboBox.1.cs'.
ChangeSorter newChangesFromStream: file named: (file localName).  
file _ FileStream fileNamed: 'BrowserFix.2.cs'.
ChangeSorter newChangesFromStream: file named: (file localName).  
file _ FileStream fileNamed: 'WindowSizeFix.3.cs'.
ChangeSorter newChangesFromStream: file named: (file localName).
  
file _ FileStream fileNamed: 'Post Fixes.2.cs'.
ChangeSorter newChangesFromStream: file named: (file localName). 

file _ FileStream fileNamed: 'PropertyPanel.1.cs'.
ChangeSorter newChangesFromStream: file named: (file localName). 
file _ FileStream fileNamed: 'SqueakFont.Theme'.
file fileIn. 

file _ FileStream fileNamed: 'LunaFont.Theme'.
file fileIn.  
file _ FileStream fileNamed: 'LunaSmallFont.Theme'.
file fileIn. 

file _ FileStream fileNamed: 'Busy Bee.1.cs'.
ChangeSorter newChangesFromStream: file named: (file localName). 

file _ FileStream fileNamed: 'Post10a.1.cs'.
ChangeSorter newChangesFromStream: file named: (file localName). 


" A little bit of setup "
Preferences setPreference: #alternativeWindowLook toValue: false.
Preferences setPreference: #alternativeScrollbarLook toValue: false.
Preferences setPreference: #roundedMenuCorners toValue: false.
Preferences setPreference: #scrollBarsWithoutMenuButton toValue: true.
Preferences setPreference: #optionalButtons toValue: false.
Preferences setPreference: #slideDismissalsToTrash toValue: false.

Preferences setPreference: #preserveTrash toValue: false. Preferences installUniformWindowColors.


(Workspace new contents: '
Project Zurgle: 5/14/2K2 There are three window frame styles stored in this image. The Zurgle Preference Panel is available under the yellow button (right-click on Windows) menu under ''Preferences''.

You can change the size of the fonts and styles using the Zurgle Preference Panel under the tab ''Appearance''. The "Luna-Small" fonts are selected under the default. This is probably good for settings under 1600@1200. The regular "Luna" size is a little larger and better suited towards larger display resolutions. 

Animation of the desktop is controlled under the Zurgle Preference panel under the tab ''Settings''. The animation check box controls in the window collapse/expand animations are shown. 

There are three different styles of collapsing windows ; the normal Squeak collapse to the title bar, collapse to a window icon (default) and collapse to a MorphDock. A MorphDock is a place to store collapsed windows and is placed at the bottom of the screen. 

The default script does not read in ''Remember.2.cs'' which adds a menu item to the red halo menu to make the current window size be the default tool size. I use this all the time, but I did not include it in the default build because there may be some unintended side effects. This mod adds a class instance variable to the class Model, and as such there may be farther reaching consequences than are immediately apparent. If you are strong and brave, by all means file it in.  

Enjoy

Jim Benson
') openLabel: 'Last minute notes'.